package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;


/**
* 治疗建议
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "base_advice_treatment")
public class BaseAdviceTreatmentDO extends UuidIdentityEntity {

    /**
     * 关联outpatientid
     */
    private String relationCode;


    /**
     * 1可用 0删除
     */
    private Integer del;

    /**
     * 诊断编码
     */
    private String diagnosis;
    /**
     * 诊断名称
     */
    private String diagnosisName;
    /**
     * 检查
     */
    private String inspection;
    /**
     * 治疗建议
     */
    private String treatment;
    private Double drugFee;
    private String check;
    private Date createTime;
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Transient
    private List<WlyyPrescriptionInfoDO> infoList;
    @Transient
    public List<WlyyPrescriptionInfoDO> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<WlyyPrescriptionInfoDO> infoList) {
        this.infoList = infoList;
    }

    @Column(name = "check_treat")
    public String getCheck() {
        return check;
    }

    public void setCheck(String check) {
        this.check = check;
    }

    @Column(name = "drug_fee")
    public Double getDrugFee() {
        return drugFee;
    }

    public void setDrugFee(Double drugFee) {
        this.drugFee = drugFee;
    }

    @Column(name = "relation_code")
    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }
    @Column(name = "diagnosis")
    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }
    @Column(name = "diagnosis_name")
    public String getDiagnosisName() {
        return diagnosisName;
    }

    public void setDiagnosisName(String diagnosisName) {
        this.diagnosisName = diagnosisName;
    }
    @Column(name = "inspection")
    public String getInspection() {
        return inspection;
    }

    public void setInspection(String inspection) {
        this.inspection = inspection;
    }
    @Column(name = "treatment")
    public String getTreatment() {
        return treatment;
    }

    public void setTreatment(String treatment) {
        this.treatment = treatment;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }
    public void setDel(Integer del) {
        this.del = del;
    }


}